Go
package main
import(
livepeergo "github.com/livepeer/livepeer-go"
"context"
"log"
)
func main() {
s := livepeergo.New(
livepeergo.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
ctx := context.Background()
res, err := s.Room.Create(ctx)
if err != nil {
log.Fatal(err)
}
if res.CreateRoomResponse != nil {
// handle response
}
}from livepeer import Livepeer
s = Livepeer(
api_key="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.room.create()
if res.create_room_response is not None:
# handle response
passcurl --request POST \
--url https://livepeer.studio/api/room \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://livepeer.studio/api/room', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d32ae9e6-c459-4931-9898-e86e2f5e7e16"
}{
"errors": [
[
"id not provided",
"Account not found"
]
]
}Rooms
Create Room
deprecated
Livepeer Studio API endpoint
POST
/
room
Go
package main
import(
livepeergo "github.com/livepeer/livepeer-go"
"context"
"log"
)
func main() {
s := livepeergo.New(
livepeergo.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
ctx := context.Background()
res, err := s.Room.Create(ctx)
if err != nil {
log.Fatal(err)
}
if res.CreateRoomResponse != nil {
// handle response
}
}from livepeer import Livepeer
s = Livepeer(
api_key="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.room.create()
if res.create_room_response is not None:
# handle response
passLast modified on April 8, 2026
Was this page helpful?
⌘I